%{?nodejs_find_provides_and_requires}

%global enable_tests 1
# tests disabled due to missing dependencies

Name:       nodejs-promise
Version:    7.0.4
Release:    2%{?dist}
Summary:    Bare bones Promises/A+ implementation for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/then/promise
Source0:    http://registry.npmjs.org/promise/-/promise-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(asap)
BuildRequires:  npm(better-assert)
BuildRequires:  npm(promises-aplus-tests)
%endif

%description
This is a bare bones Promises/A+ implementation for Node.js. It is designed
to get the basics spot on correct, so that you can build extended promise
implementations on top of it.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/promise
cp -pr package.json *.js lib/ domains/ setimmediate/ \
    %{buildroot}%{nodejs_sitelib}/promise

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec --timeout 200 --slow 99999
%endif


%files
%{!?_licensedir:%global license %doc}
%doc Readme.md
%license LICENSE
%{nodejs_sitelib}/promise


%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 7.0.4-2
- Fix some missing files from the install step

* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 7.0.4-1
- Update to upstream 7.0.4 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 4.0.0-1
- initial package
